type query = Query of select_stmt
and select_stmt = 
  | Select of column list * table list
and column = 
  | Asterisk
  | Column of string
and table = 
  | Table of string
  | Join of table * join_type * table
and join_type =
  | Inner
  | Left
  | Right
  | Full
  | Cross
  | Union
  | Natural

